Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1847903 (rust-mbox) - Review Request: rust-mbox - Malloc-based box
Summary: Review Request: rust-mbox - Malloc-based box
Keywords:
Status: CLOSED RAWHIDE
Alias: rust-mbox
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IoT rust-tss-esapi PARSEC
TreeView+ depends on / blocked
 
Reported: 2020-06-17 10:20 UTC by Igor Raits
Modified: 2020-07-23 14:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-16 10:43:56 UTC
Type: ---
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Igor Raits 2020-06-17 10:20:21 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/rust-mbox.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/rust-mbox-0.5.0-1.fc33.src.rpm
Description:
Malloc-based box. Supports wrapping pointers or null-terminated strings returned from malloc as a Rust type, which will be free'd on drop.
Fedora Account System Username: ignatenkobrain

Comment 1 Robert-André Mauchin 🐧 2020-06-27 11:19:08 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Igor Raits 2020-07-08 10:05:11 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-mbox


Note You need to log in before you can comment on or make changes to this bug.